# ==============================================================================
# Convert scorefile from flnews major versions 0 to 1 syntax
#
# Copyright (c) 2021 by the developers. See the LICENSE file for details.

/^#/

/^[^#]/ \
{
   if (match($0, /^extended:/))
   {
      # Rule type "extended" => Remove "extended:" prefix
      rule = substr($0, RSTART + RLENGTH)
      print rule
   }
   else
   {
      # Other rule types => Add wildmat
      print "*:" $0
   }
}


# EOF
